<template>
    <div>
            <div>
                <editor-content :editor="editor" />
            </div>
    </div>
</template>

<script>
    import { Editor, EditorContent } from 'tiptap'
    import {
        Blockquote,
        CodeBlock,
        HardBreak,
        Heading,
        HorizontalRule,
        OrderedList,
        BulletList,
        ListItem,
        TodoItem,
        TodoList,
        Bold,
        Code,
        Italic,
        Link,
        Strike,
        Underline,
        History,
    } from 'tiptap-extensions';

    const extensions = [
        new Blockquote(),
        new BulletList(),
        new CodeBlock(),
        new HardBreak(),
        new Heading({ levels: [1, 2, 3] }),
        new HorizontalRule(),
        new ListItem(),
        new OrderedList(),
        new TodoItem(),
        new TodoList(),
        new Link(),
        new Bold(),
        new Code(),
        new Italic(),
        new Strike(),
        new Underline(),
        new History(),
    ];

    export default {
        name: "StaticEditorComponent",
        components: {
            EditorContent,
        },
        props: ["content", "static_editor_classes"],
        data() {
            return {
                editor: null,
            };
        },
        mounted() {
            this.editor = new Editor({
                editable: false,
                extensions: extensions,
                content: JSON.parse(this.content),
            });
        },
        beforeDestroy() {
            this.editor.destroy()
        }
    }
</script>
